Redmine - Defect #33275

Possible values field in list format custom field form is not marked as required

2020-04-08 08:44 - Andreas Baumgartner

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version: 4.0.8

Resolution: Fixed Affected version: 4.0.7
Description

when creating a custom field of format List, "Possible values" is not marked as mandatory - * is missing.

see screenshot - error when trying to save with empty "Possible values"
Associated revisions

Revision 19742 - 2020-05-03 01:52 - Go MAEDA

Possible values field in list format custom field form is not marked as required (#33275).

Patch by Go MAEDA.

Revision 19743 - 2020-05-03 01:53 - Go MAEDA
Merged r19742 from trunk to 4.1-stable (#33275).

Revision 19744 - 2020-05-03 01:54 - Go MAEDA
Merged r19742 from trunk to 4.0-stable (#33275).

History

#1 - 2020-05-02 08:37 - Go MAEDA
- Target version set to Candidate for next minor release

- Affected version changed from 4.1.1 to 4.0.7

Thank you for reporting the issue. It can be fixed by the following patch.

diff --git a/app/views/custom_fields/formats/_list.html.erb b/app/views/custom_fields/formats/_list.html.erb

index 675bbbf8d..£615e5057 100644
—-—— a/app/views/custom_fields/formats/_list.html.erb
+++ b/app/views/custom_fields/formats/_list.html.erb
@@ -1,5 +1,5 @@

<p>
- <
+ <

o

o

quired => true %>
<em class="info"><%= 1 (:text_custom_field_possible_values_info) $%$></em>
</p>
<p><%= f.text_field(:default_value) %></p>

#2 - 2020-05-02 13:38 - Marius BALTEANU

- Target version changed from Candidate for next minor release to 4.0.8

#3 - 2020-05-03 01:55 - Go MAEDA

= f.text_area :possible_values, :value => (@custom_field.possible_values.to_a.join("\n
= f.text_area :possible_values, :value => @custom_field.possible_values.to_a.join("\n

"), :rows => 15 %>
"), :rows => 15, :re

- Subject changed from Custom fields / Format List - "Possible values" is not marked as mandatory (cosmetic) to Possible values field in list format

custom field form is not marked as required
- Status changed from New to Closed

- Assignee set to Go MAEDA
- Resolution set to Fixed

Committed the fix.
